# History file to generate plots of elastic parameters for 'fd.h'
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
    #chk.pl: "forms/" "echo.pl"
    #chk.pl: "forms/" "append.pl"
#   den.out,a11.out,b11.out,c11.out,a13.out,b13.out,c13.out,a31.out,
#   b31.out,c31.out,a33.out,b33.out,c33.out
# Output files:
#   den.ps,m11.ps,m13.ps,m31.ps,m33.ps
# Temporary files:
#   m11.out, m13.out, m31.out, m33.out, grdcal.tmp

# Data specifying the model
  MODEL='modfd.dat'

# Indices of complex blocks (just to display the model):
  YSIGN=-1  VCIRC=-6  VREF=1  CREF=0.333333 # block 1 is green
  N1=440    N3=160                          # dense grid for smooth
  D1=0.250  D3=0.250                        #                interfaces
  O1=0.125  O3=0.125
  HSIZE=11.0                                # just for paper hardcopies
 #UNIT='pt'                                 # just for bitmaps
  ICB='icb.out'
  grid:  'modfdps.h' /                      # Gridding block indices
  GRD='icb.out'  PS='fdicb.ps'
  grdps: 'modfdps.h' /                      # Plotting block indices
  SNAPS='fdicb.ps'
  fdpcx.pl: modfdps.h # conversion to PCX (GhostScript required)

# Plotting density discretized for 2-D FD program
  VREF=1600  CREF=0.666667  VCIRC=-300  VMIN=0
  N1=111     N2=41      N3=1
  HSIZE=11.1                                # Just for paper hardcopies
  GRD='den.out'  PS='den.ps'
  grdps: 'modfdps.h' /

# Plotting effective elastic parameters discretized for 2-D FD program
  VREF=0  CREF=0.666667  VCIRC=-540000000  VMIN=0  NH=1
  echo.pl: "@2=@1/3" ">grdcal.tmp"

  N1=110  N2=41  N3=1
  HSIZE=11.0                                # Just for paper hardcopies
  CAL='grdcal.tmp'  GRD1='a11.out'  GRD2='m11.out'
  grdcal: 'modfdps.h' /
  append.pl: m11.out b11.out
  append.pl: m11.out c11.out
  N3=3
  GRD='m11.out'  PS='m11.ps'
  grdps: 'modfdps.h' /

  N1=111  N2=40  N3=1
  HSIZE=11.1                                # Just for paper hardcopies
  GRD1='a33.out'  GRD2='m33.out'
  grdcal: 'modfdps.h' /
  append.pl: m33.out b33.out
  append.pl: m33.out c33.out
  N3=3
  GRD='m33.out'  PS='m33.ps'
  grdps: 'modfdps.h' /

  N1=110  N2=40  N3=1
  HSIZE=11.0                                # Just for paper hardcopies
  GRD1='a13.out'  GRD2='m13.out'
  grdcal: 'modfdps.h' /
  GRD1='a31.out'  GRD2='m31.out'
  grdcal: 'modfdps.h' /
  append.pl: m13.out b13.out
  append.pl: m13.out c13.out
  append.pl: m31.out b31.out
  append.pl: m31.out c31.out
  N3=3
  GRD='m13.out'  PS='m13.ps'
  grdps: 'modfdps.h' /
  GRD='m31.out'  PS='m31.ps'
  grdps: 'modfdps.h' /

